import { Document } from 'mongoose';
export type EnrollmentDocument = Enrollment & Document;
export declare class Enrollment {
    studentId: string;
    academicYearId: string;
    classId: string;
    sectionId: string;
    rollNumber: string;
}
export declare const EnrollmentSchema: import("mongoose").Schema<Enrollment, import("mongoose").Model<Enrollment, any, any, any, Document<unknown, any, Enrollment, any> & Enrollment & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Enrollment, Document<unknown, {}, import("mongoose").FlatRecord<Enrollment>, {}> & import("mongoose").FlatRecord<Enrollment> & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v: number;
}>;
